POST V1/ProAdminPaymentsReconcile.{ext}/StopPaymentAction?queryAction={queryAction}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
queryAction

No description available

string

None.

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.StopPaymentAction
NameDescriptionTypeAdditional information
pfId

No description available

integer

None.

pfDetailsId

No description available

integer

None.

action

No description available

string

None.

checkNbr

No description available

string

None.

pkrmAccountNbr

No description available

string

None.

pkrmVendorName

No description available

string

None.

paymentFileName

No description available

string

None.

pfTransactionId

No description available

string

None.

Comments

No description available

string

None.

clientId

No description available

string

None.

spId

No description available

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "pfId": 1,
  "pfDetailsId": 2,
  "action": "sample string 3",
  "checkNbr": "sample string 4",
  "pkrmAccountNbr": "sample string 5",
  "pkrmVendorName": "sample string 6",
  "paymentFileName": "sample string 7",
  "pfTransactionId": "sample string 8",
  "comments": "sample string 9",
  "clientId": "sample string 10",
  "spId": 11
}

application/xml, text/xml

Sample:
<StopPaymentAction xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <Comments>sample string 9</Comments>
  <action>sample string 3</action>
  <checkNbr>sample string 4</checkNbr>
  <clientId>sample string 10</clientId>
  <paymentFileName>sample string 7</paymentFileName>
  <pfDetailsId>2</pfDetailsId>
  <pfId>1</pfId>
  <pfTransactionId>sample string 8</pfTransactionId>
  <pkrmAccountNbr>sample string 5</pkrmAccountNbr>
  <pkrmVendorName>sample string 6</pkrmVendorName>
  <spId>11</spId>
</StopPaymentAction>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.